%define phpversion 74

Summary: sme server integration of dl
Name: smeserver-dl
Version: 0.2.3
Release: 10%{?dist}
Epoch: 9
License: GNU GPL version 2
URL: http://www.thregr.org/~wavexx/software/dl/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.xz

BuildArchitectures: noarch
BuildRequires: smeserver-devtools
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: smeserver-base
Requires: dl
Requires: smeserver-apache >= 2.6.0-19
Requires: smeserver-php >= 3.0.0-43

%description
smserver integration of dl

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 0.2.3-10.sme
- Fix e-smith references in smeserver-dl [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.2.3-9.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Jul 21 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.2.3-8.sme
- use httpd 2.4 syntax [SME: 12042]
  smeserver-php provides smeserver-webapps-common
- backup contrib [SME: 12004]

* Thu Dec 23 2021 Brian Read <brianr@bjsystems.co.uk> 0.2.3-7.sme
- Correct-clam-dir-in-60clamscan [SME: 11820]

* Fri Dec 03 2021 John Crisp <jcrisp@safeandsoundit.co.uk> 0.2.3-6.sme
- Fix clamd path
- Fix typo

* Wed Nov 03 2021 Brian Read <brianr@bjsystems.co.uk> 0.2.3-5.sme
- php74-dl-call-in-httpd-fragment [SME: 11567]

* Tue Sep 28 2021 Brian Read <brianr@bjsystems.co.uk> 0.2.3-4.sme
- fix up update routine to create sql db on install [SME: 11567]
- Update php to 74

* Mon Apr 19 2021 Brian Read <brianr@bjsystems.co.uk> 0.2.3-3.sme
- Fix httpd syntax and expand it intially [SME: 11567]

* Mon Apr 19 2021 Brian Read <brianr@bjsystems.co.uk> 0.2.3-2.sme
- Initial import to SME10 tree [SME: 11567]
- Add Update event to createlinks

* Mon Apr 19 2021 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Sun Jan 21 2018 Daniel Berteaud <daniel@firewall-services.com> 0.2.3-1
- Use alt php binary when expiring tickets [SME: 10495] (daniel@firewall-
  services.com)

* Sun Nov 19 2017 Daniel Berteaud <daniel@firewall-services.com> 0.2.2-1
- Prepare spec file for tito (daniel@firewall-services.com)

* Wed Jul 26 2017 Daniel Berteaud <daniel@firewall-services.com> 0.2.1-1.sme
- Add /var/lib/php/dl to open_basedir for the fpm pool
- Assume MB if no unit is specified for max file size
- Remove hardcoded PHP version, replaced at build time

* Thu Jul 13 2017 Daniel Berteaud <daniel@firewall-services.com> 0.2.0-1.sme
- Support smeserver-php-fpm

* Tue May 31 2016 Daniel Berteaud <daniel@firewall-services.com> 0.1.4-1.sme
- Fix cron job output [SME: 9116]

* Wed Apr 23 2014 Daniel Berteaud <daniel@firewall-services.com> 0.1.3-1.sme
- Fix basic auth on SME9

* Tue Feb 4 2014 Daniel Berteaud <daniel@firewall-services.com> 0.1.2-1.sme
- Grant admin privileges to the admin user

* Sun Nov 24 2013 Daniel Berteaud <daniel@firewall-services.com> 0.1.1-1.sme
- Automatically upgrade the database

* Fri Nov 22 2013 Daniel Berteaud <daniel@firewall-services.com> 0.1.0-1.sme
- First release

%prep
%setup -q

%build
perl ./createlinks
find root/ -type f | xargs grep -l __PHP_VERSION__ | xargs sed -i -e "s/__PHP_VERSION__/%{phpversion}/g"
%{__mkdir_p} root/var/log/php/dl
%{__mkdir_p} root/var/lib/php/dl/{tmp,opcache,session}

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
        --dir /var/log/php/dl 'attr(0770,root,www)' \
        --dir /var/lib/php/dl 'attr(0770,root,www)' \
        --dir /var/lib/php/dl/tmp 'attr(0770,root,www)' \
        --dir /var/lib/php/dl/opcache 'attr(0770,root,www)' \
        --dir /var/lib/php/dl/session 'attr(0770,root,www)' \
        > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%postun
